Bug Hunting Session
Bug 111907 - [UI] Resizing the Manage Names dialog doesn't propagate to the names list view
Summary: [UI] Resizing the Manage Names dialog doesn't propagate to the names list view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Andreas Brandner (CIB)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-19 08:01 UTC by Jean-Francois Nifenecker
Modified: 2017-09-06 17:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Manage Names dialog after vertical resize. (24.90 KB, image/png)
2017-08-19 08:01 UTC, Jean-Francois Nifenecker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Francois Nifenecker 2017-08-19 08:01:17 UTC
Created attachment 135652 [details]
Manage Names dialog after vertical resize.

At design time, I use named ranges heavily. Thus I often end having several dozens of names listed. This is why I need to resize the Manage Names dialog in order to better manage them.

The Manage Names dialog is resizable, indeed. The width resize gives more room to display each name details. But the height resize doesn't give more room vertically to the list of names. Instead, it shows a high blank space which is frustrating. See attachment.

I do specify the current version but this bug is present for a long time.
Comment 1 m.a.riosv 2017-08-19 11:13:06 UTC
This is a similar and common issue in some dialogs like function wizard.
Comment 2 Adolfo Jayme 2017-09-05 17:54:36 UTC
(In reply to m.a.riosv from comment #1)
> This is a similar and common issue in some dialogs like function wizard.

Can you file bugs for the other dialogs which have issues, please?
Comment 3 m.a.riosv 2017-09-05 18:00:13 UTC
For function wizard was reported by me a year ago.
https://bugs.documentfoundation.org/show_bug.cgi?id=101876
Comment 4 Commit Notification 2017-09-05 22:59:20 UTC
Andreas Brandner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c34471f54870fc685c343f4af30310e75d3a9ca

tdf#111907 Allow box in Manage Names dialog to expand on resizing

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.